summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRahul C S <rahulcs@redhat.com>2012-01-03 13:37:03 +0530
committerRahul C S <rahulcs@redhat.com>2012-01-06 11:42:59 +0530
commitf019f49f7da525bd5d04a3577257378a95d50184 (patch)
tree9ec03e8683c0ffd75a6940737249945778b6095c
parent35d91591d1dcf992bebb44f4bfbd8a814a2c403c (diff)
Checks if geo-sync stops successfully
Change-Id: I79e7fc820e8d677fa5285543763b73b694b362ed BUG: 764265 Signed-off-by: Rahul C S <rahulcs@redhat.com>
-rwxr-xr-xdvm/764265/testcase27
1 files changed, 27 insertions, 0 deletions
diff --git a/dvm/764265/testcase b/dvm/764265/testcase
new file mode 100755
index 0000000..952dd8f
--- /dev/null
+++ b/dvm/764265/testcase
@@ -0,0 +1,27 @@
+#!/bin/bash
+source $cwd/regression_helpers
+mkdir -p /tmp/$global_bug_id &> /dev/null
+
+#create,start and mount
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null ;
+$GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+mount_glusterfs $global_bug_id
+
+#start gsyncd first
+$GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id start &> /dev/null;
+
+sleep 10;
+
+#stop gsyncd
+$GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id stop &> /dev/null;
+
+sleep 10;
+
+ps aux| grep gsyncd.py | grep monitor &> /dev/null
+if [ $? -ne 0 ]; then
+ rm -rf /tmp/$global_bug_id &> /dev/null
+ exit 0;
+else
+ rm -rf /tmp/$global_bug_id &> /dev/null
+ exit 255;
+fi